!set title=Dos subespacios
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c,c
varcnt=25
prevarcnt=24
postvarcnt=0
replycnt=0
choicecnt=2
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!htmlmath E

val6=$(tmp0)
tmp0=!htmlmath S

val7=$(tmp0)
tmp0=!shuffle 10

val8=$(tmp0)
tmp0=!item 1 of $val8

val9=$[rint($(tmp0)+10)]
tmp0=!item 2 of $val8

val10=$[rint($(tmp0)+10)]
val11=$[rint(min($val9,$val10))]
val12=$[rint(max($val9,$val10))]
val13=$val7<sub>1</sub> y $val7<sub>2</sub> son ambos linealmente independientes
val14=$val7<sub>1</sub> y $val7<sub>2</sub> ambos generan $val6
val15=$val7<sub>1</sub> es linealmente independiente y $val7<sub>2</sub>	 genera $val6
val16=$val7<sub>1</sub> genera $val6 y $val7<sub>2</sub> es linealmente	 independiente
val17=$val13,$val14,$val15,$val16
val18=dim(E) es a lo sumo $val11
val19=dim(E) está entre $val11 y $val12
val20=dim(E) es al menos $val12
val21=esto es imposible

!ifval $val9<$val10
val22=$val20,$val18,$val19,$val21
!else
val22=$val20,$val18,$val21,$val19
!endif
tmp0=!shuffle 4

val8=$(tmp0)
tmp0=!item 1 of $val8

val23=$(tmp0)
tmp0=!item 2 of $val8

val24=$(tmp0)
tmp0=!item $val23 of $val17

val25=$(tmp0)
tmp0=!item $val24 of $val17

val26=$(tmp0)
tmp0=!item $val23 of $val22

val27=$(tmp0)
tmp0=!item $val24 of $val22

val28=$(tmp0)
choicename1=Choice 1
choicegood1=$val27
choicebad1=$val22
choicename2=Choice 2
choicegood2=$val28
choicebad2=$val22
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea $val6 un espacio vectorial. Tenemos dos subespacios 
!insmath S1
$() y 
!insmath S2
$() de $val6,	con $val9 y $val10 elementos respectivamente. Conteste:	<ul>		<p><li>Si $val25, entonces  
!read oef/embed.phtml choice 1 
$().	<p><li>Si $val26, entonces  
!read oef/embed.phtml choice 2 
$().		</ul>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,9,10,25,26
embedcnt=2
